Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define autorelease 6

%global revision 3120

Name:		64tass
Version:	1.59.%{revision}
Release:	alt1_%autorelease
Summary:	6502 assembler
License:	LGPL-2.0-only AND LGPL-2.0-or-later AND GPL-2.0-or-later AND MIT
URL:		http://tass64.sourceforge.net/
BuildRequires:	gcc
BuildRequires:	w3m
Source0:	http://sourceforge.net/projects/tass64/files/source/%{name}-%{version}-src.zip
Source44: import.info

%description
64tass is a multi-pass optimizing macro assembler for the 65xx series of
processors. It supports the 6502, 65C02, R65C02, W65C02, 65CE02, 65816,
DTV, and 65EL02, using a syntax similar to that of Omicron TASS and TASM.

%prep
%setup -q -n %{name}-%{version}-src

rm README  # will be built

# be verbose during build
sed -i -e 's/.SILENT://' Makefile

%build
%make_build CFLAGS='%{optflags} -DREVISION="\""%{revision}"\""' LDFLAGS="%{build_ldflags}"

%install
# install binaries
install -d %{buildroot}%{_bindir}/
install -m 755 64tass %{buildroot}%{_bindir}/
# install man page
install -d %{buildroot}%{_mandir}/man1
install -m 644 64tass.1 %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%doc README.html
%doc --no-dereference LICENSE-GPL-2.0
%doc --no-dereference LICENSE-LGPL-2.0 LICENSE-LGPL-2.1
%doc --no-dereference LICENSE-my_getopt

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.59.3120-alt1_6
- update to new release by fcimport

* Sat Sep 16 2023 Igor Vlasenko <viy@altlinux.org> 1.59.3120-alt1_1
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.58.2974-alt1_3
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.58.2974-alt1_2
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.56.2625-alt1_4
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.56.2625-alt1_3
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.56.2625-alt1_2
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 1.56.2625-alt1_1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.55.2200-alt2_3
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.55.2200-alt2_2
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.55.2200-alt1_2
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 1.55.2200-alt1_1
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.54.1900-alt1_3
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.54.1900-alt1_2
- update to new release by fcimport

* Sun Apr 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.54.1900-alt1_1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.53.1515-alt1_5
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 1.53.1515-alt1_4
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.53.1515-alt1_3
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.53.1515-alt1_2
- update to new release by fcimport

* Tue Oct 17 2017 Igor Vlasenko <viy@altlinux.ru> 1.53.1515-alt1_1
- update to new release by fcimport

